diff -ruN uppsrc/ide/UppWspc.cpp uppsrc/ide/UppWspc.cpp
--- uppsrc/ide/UppWspc.cpp	2011-11-06 09:29:11 +0600
+++ uppsrc/ide/UppWspc.cpp	2011-11-07 19:59:39 +0600
@@ -784,6 +784,7 @@
 void WorkspaceWork::FileMenu(Bar& menu)
 {
 	bool sel = filelist.IsCursor() && filelist[filelist.GetCursor()].isdir;
+	bool is_active = IsActiveFile();
 	bool isaux = IsAux();
 	if(isaux)
 		InsertSpecialMenu(menu);
@@ -815,7 +816,8 @@
 	menu.Add(filelist.IsCursor() && !sel, "Delete", THISBACK(DelFile))
 		.Help("Remove file / topic group reference from package & delete file / folder on disk");
 	menu.Separator();
-	menu.Add("Open File Directory",THISBACK(OpenFileFolder));
+	menu.Add(is_active, "Copy File Path", callback1(WriteClipboardText, GetActiveFilePath()));
+	menu.Add("Open File Directory", THISBACK(OpenFileFolder));
 	menu.Separator();
 	menu.Add(filelist.GetCursor() > 0, "Move up", THISBACK1(MoveFile, -1))
 		.Key(organizer ? K_CTRL_UP : K_SHIFT_CTRL_UP)
@@ -824,7 +826,7 @@
 	         THISBACK1(MoveFile, 1))
 		.Key(organizer ? K_CTRL_DOWN : K_SHIFT_CTRL_DOWN)
 		.Help("Move current file one position towards package end");
-	if(IsActiveFile()) {
+	if(is_active) {
 		menu.Separator();
 		String p = GetActiveFilePath();
 		if(GetFileExt(p) == ".tpp" && IsFolder(p)) {
